OpenCV: cv::detail::SphericalPortraitWarper Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::SphericalPortraitWarper Class Reference
Images stitching » Images Warping

`#include "warpers.hpp"`

Inheritance diagram for cv::detail::SphericalPortraitWarper:

## Public Member Functions
| SphericalPortraitWarper (float scale)
Public Member Functions inherited from cv::detail::RotationWarperBase< SphericalPortraitProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Protected Member Functions
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::RotationWarperBase< SphericalPortraitProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)

## Additional Inherited Members
Protected Attributes inherited from cv::detail::RotationWarperBase< SphericalPortraitProjector >
SphericalPortraitProjector | projector_

## Constructor & Destructor Documentation

## ◆ SphericalPortraitWarper()

cv::detail::SphericalPortraitWarper::SphericalPortraitWarper | ( | float | scale | ) |
| inline

## Member Function Documentation

## ◆ detectResultRoi()

void cv::detail::SphericalPortraitWarper::detectResultRoi | ( | Size | src_size,
|  | Point & | dst_tl,
|  | Point & | dst_br
| ) |  |
| protectedvirtual

Reimplemented from cv::detail::RotationWarperBase< SphericalPortraitProjector >.

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/warpers.hpp